NSX-T Data Center REST API
Patch a distributed vlan connection
If a distributed vlan connection is not already present, create a new distributed vlan connection .If it already exists, update the distributed vlan connection.
Request:
Method:
PATCH
URI Path(s):
/policy/api/v1/infra/distributed-vlan-connections/{distributed-vlan-connection-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
DistributedVlanConnection+
Example Request:
PATCH https://<policy-mgr>/policy/api/v1/infra/distributed-vlan-connections/gateway-101 { "resource_type": "DistributedVlanConnection", "id": "gateway-101", "display_name": "gateway-101", "description": "Distributed vlan connection", "gateway_addresses" : ["10.2.1.1/24"], "restricted_availability": { "zone_external_ids": [ "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c38", "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c39" ] }, "vlan_id": 101 } Patch distributed VLAN connection with subnet_extension_connection { "resource_type": "DistributedVlanConnection", "id": "gateway-101", "display_name": "gateway-101", "description": "Distributed vlan connection", "gateway_addresses" : ["10.2.1.1/24"], "vlan_id": 101, "restricted_availability": { "span_path": "/infra/network-spans/span1" }, "subnet_extension_connection": "ENABLED_L2_AND_L3", "associated_ip_block_paths": [ "/infra/ip-blocks/test-block-60" ], }Successful Response:
Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a